@import "variables/colors";

.offers-table {
  border-radius: 10px;
  border: 1px solid $neutral-40;
  padding: 16px 10px;
  &__empty {
    display: flex;
    padding: 50px 30px;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    .title {
      text-align: center;
    }
  }
  &__buttons {
    align-items: flex-end;
    display: flex;
    flex-direction: column;
    padding: 0.5rem 0;
  }
}

.status {
  border-radius: 0;
  display: flex;
  font-weight: bold;
  gap: 6px;
  padding: 6px;
  width: auto;
  background-color: unset;

  &.enabled {
    color: $main-indigo-60;
  }

  &.draft {
    color: $warning-60;
  }

  &.disabled {
    color: $neutral-50;
  }
}
